/*
 * crt0.c
 */
int errno = 0;

#if 0
void start()
{
	int	status;
	extern int main();

	status = main();
	_exit(status);
}
#else
asm("
	.text
	.align 4
	.global	_start
	.type	 _start,@function
_start:
	mov	r15, r9			
	mov.l	@r9, r8		"/* argc */"
	add	#4, r9		"/* argv */"
	mov	r8, r10
	add	#1, r10
	shll2	r10
	add	r9, r10		"/* envp */"

	mov.l	Nanika, r1
	mov	r8, r4
	mov	r9, r5
	jsr	@r1
	mov	r10, r6

	mov.l	Main, r1
	mov	r8, r4
	mov	r9, r5
	jsr	@r1
	mov	r10, r6

	mov.l	Exit, r1
	jsr	@r1
	mov	r0, r4		"/* status */"

	.align 2
Nanika:
	.long	___nanika
Main:
	.long	_main
Exit:
	.long	__exit
start_end:
	.size	_start,start_end-_start
");
#endif

void exit(int status)
{
	_exit(status);
}

void __main()
{
}

void __nanika()
{
}
